Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.xhtml
Class ParStyleConverter

    java.lang.Object
      writer2latex.xhtml.ConverterHelper
          writer2latex.xhtml.StyleConverterHelper
              writer2latex.xhtml.StyleWithPropertiesConverterHelper
                  writer2latex.xhtml.ParStyleConverter

    public class ParStyleConverter

extends StyleWithPropertiesConverterHelper

This class converts OpenDocument paragraph styles to CSS2 styles for use in paragraphs and headings. This also includes conversion of paragraph properties in other styles (cell styles).

Field Summary
`private java.lang.String[]` | `sHeadingStyles`

Fields inherited from class writer2latex.xhtml.StyleConverterHelper
`bConvertHard, bConvertStyles, nType, styleMap, styleNames`

Fields inherited from class writer2latex.xhtml.ConverterHelper
`config, converter, ofr`

Constructor Summary
`ParStyleConverter(OfficeReader ofr, Config config, Converter converter, int nType)` Create a new `ParStyleConverter`

Method Summary
`void` | `applyProperties(StyleWithProperties style, CSVList props, boolean bInherit)` Convert formatting properties for a specific Par style.
`void` | `cssPar(StyleWithProperties style, CSVList props, boolean bInherit)`
`java.lang.String` | `getDefaultTagName(StyleWithProperties style)` Create default tag name to represent a paragraph
`java.lang.String` | `getRealParStyleName(java.lang.String sStyleName)`
`java.lang.String` | `getStyleDeclarations(java.lang.String sIndent)` Convert style information for used styles
`OfficeStyleFamily` | `getStyles()` Get the family of paragraph styles
`java.lang.String` | `getTextBackground(java.lang.String sStyleName)`
`void` | `setHeadingStyle(int nLevel, java.lang.String sStyleName)`

Methods inherited from class writer2latex.xhtml.StyleWithPropertiesConverterHelper
`applyStyle, getClassNamePrefix`

Methods inherited from class writer2latex.xhtml.StyleConverterHelper
`applyDirection, applyLang, colScale, scale`

Methods inherited from class writer2latex.xhtml.ConverterHelper
`applyStyle, getCellSc, getDrawCv, getFrameSc, getListSc, getMathCv, getPageSc, getParSc, getPresentationSc, getRowSc, getSectionSc, getStyleCv, getTableCv, getTableSc, getTextCv, getTextSc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sHeadingStyles

    private java.lang.String[] sHeadingStyles

Constructor Detail

### ParStyleConverter

    public ParStyleConverter(OfficeReader ofr,
                             Config config,
                             Converter converter,
                             int nType)

  Create a new `ParStyleConverter`

  Parameters:
    `ofr` - an `OfficeReader` to read style information from
    `config` - the configuration to use
    `converter` - the main `Converter` class
    `nType` - the type of xhtml to use

Method Detail

### setHeadingStyle

    public void setHeadingStyle(int nLevel,
                                java.lang.String sStyleName)

### getStyleDeclarations

    public java.lang.String getStyleDeclarations(java.lang.String sIndent)

  Convert style information for used styles

  Overrides:
    `getStyleDeclarations` in class `StyleWithPropertiesConverterHelper`
  Parameters:
    `sIndent` - a String of spaces to add before each line

### getStyles

    public OfficeStyleFamily getStyles()

  Get the family of paragraph styles

  Specified by:
    `getStyles` in class `StyleConverterHelper`
  Returns:
    the style family

### getDefaultTagName

    public java.lang.String getDefaultTagName(StyleWithProperties style)

  Create default tag name to represent a paragraph

  Specified by:
    `getDefaultTagName` in class `StyleWithPropertiesConverterHelper`
  Parameters:
    `style` - to use
  Returns:
    the tag name.

### applyProperties

    public void applyProperties(StyleWithProperties style,
                                CSVList props,
                                boolean bInherit)

  Convert formatting properties for a specific Par style.

  Specified by:
    `applyProperties` in class `StyleWithPropertiesConverterHelper`
  Parameters:
    `style` - the style to convert
    `props` - the `CSVList` object to add information to
    `bInherit` - true if properties should be inherited from parent style(s)

### getTextBackground

    public java.lang.String getTextBackground(java.lang.String sStyleName)

### getRealParStyleName

    public java.lang.String getRealParStyleName(java.lang.String sStyleName)

### cssPar

    public void cssPar(StyleWithProperties style,
                       CSVList props,
                       boolean bInherit)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD